# Interface VisualVariableJsonBase

Base interface for VisualVariables.

interface VisualVariableJsonBase {
field: string;
legendOptions?: {
showLegend?: boolean;
title?: string;
};
normalizationField?: string;
type: VisualVariableJsonType;
}

#### Hierarchy (view full)

- VisualVariableJsonBase
  - ColorInfoJson
  - RotationInfoJson
  - SizeInfoJson
  - TransparencyInfoJson

#####
Index

### Properties

field
legendOptions?
normalizationField?
type

##
Properties

### field

field: string

A string value indicating the name of the feature attribute field that contains the data value to render.

### `Optional` legendOptions

legendOptions?: {
showLegend?: boolean;
title?: string;
}

Options available for the legend. See https://developers.arcgis.com/web-map-specification/objects/legendOptions/ https://developers.arcgis.com/web-scene-specification/objects/legendOptions/.

#### Type declaration

- ##### `Optional` showLegend?: boolean

  Indicates whether to show color/size ramp in the legend.

- ##### `Optional` title?: string

  The title of the legend.

### `Optional` normalizationField

normalizationField?: string

String value indicating the name of the attribute field used to normalize the data.

### type

type: VisualVariableJsonType

The type of the VisualVariable.